<template>
    <router-view/>
</template>

<script>
import { ipc } from '@/utils/ipcRenderer';
import { ipcApiRoute } from '@/api/main';
// websocket
import websocket from './utils/websocket'
import { updateConfgJson } from "@/utils/api"
export default {
  name: 'App',
  setup() {
    document.getElementById('loadingPage').remove()
  },
  mounted() {
    // 在这里执行一些需要在组件挂载到 DOM 后进行的初始化逻辑，例如初始化插件、请求数据等
    
    ipc.invoke(ipcApiRoute.getExResConfig, "config.json").then(res => {
        const configJSON = JSON.parse(res);
        updateConfgJson(configJSON)
        // websocket.initWebSocket(configJSON);
    }) 
    
  },
}
</script>
<style lang="less"></style>
